精华内容
下载资源
问答
  • 空心三角

    千次阅读 2018-11-04 22:56:18
    请根据要求打印可空心三角形 输入三角形的高度(h >1) 打印相应的空心三角形。图样参见测试用例。 样例输入:5 样例输出: ... int n, i, j, k, l; scanf("%d", &am...

    请根据要求打印可空心倒三角形

    输入三角形的高度(h >1)

    打印相应的空心倒三角形。图样参见测试用例。

    样例输入:5
    样例输出:
    *********
     *     *
      *   *
       * *
        *

    利用循环输出空格以及*号

    #include <stdio.h>
    main()
    {
    	int n, i, j, k, l;
    	scanf("%d", &n);
    	for (i = 1; i < 2 * n; i++)
    		printf("*");
    	printf("\n");
    	for (j = 2; j < n; j++)
    	{
    		for (k = 1; k <= 2 * n - j; k++)
    		{
    			if (k == j || k == 2 * n - j)
    				printf("*");
    			else
    				printf(" ");
    		}
    		printf("\n");
    	}
    	for (l = 1; l < n; l++)
    	{
    		printf(" ");
    	}
    	printf("*");
    }
    
    

     

     

    展开全文
  • Open Cascade造型算法——圆与

    千次阅读 2013-12-08 20:29:58
    原文: Open Cascade造型算法——圆与角 造型算法——圆与角 Modeling Algorithms Fillets and Chamfers eryar@163.com 一、圆Fillet Constructor 1. BRepFilletAPI_MakeFillet 使用类...

    原文: Open Cascade造型算法——倒圆与倒角

    造型算法——倒圆与倒角

    Modeling Algorithms Fillets and Chamfers

    eryar@163.com

    一、倒圆Fillet Constructor

    1. BRepFilletAPI_MakeFillet

    使用类BRepFilletAPI_MakeFillet来为形状添加倒圆。倒圆是用光滑面来代替角边。使用方法如下:

    l 首先,给定一个需要倒圆的形状;

    l 然后,通过Add方法来添加描述倒圆的参数,倒圆所需的参数包括一个边edge和半径radius。当然,边edge必须由两个面face所共有。倒圆会将原来的边替换成光滑的圆面过渡。

    l 最后,通过询问结果来执行倒圆操作。

    注:添加一个倒圆两次并不会出错,因为只保留了最后一次添的倒圆。

    Figure 1. Filleting two edges using radius r1 and r2

    Figure 1Filleting two edges using radius r1 and r2

    下面给出一个将创建一个倒圆的长方体,其尺寸分别为abc,倒圆半径r

    Figure 2. Filleting a box

    Figure 2Filleting a box

    代码如下所示,创建上图所示的倒圆的长方体的参数分别为:

    a = 100b = 60c = 80r = 10

    #include <TopoDS_Shape.hxx> 
    #include <TopoDS.hxx> 
    #include <BRepPrimAPI_MakeBox.hxx> 
    #include <TopoDS_Solid.hxx> 
    #include <BRepFilletAPI_MakeFillet.hxx> 
    #include <TopExp_Explorer.hxx> 
     
    TopoDS_Shape FilletedBox(const Standard_Real a, 
          const Standard_Real b, 
          const Standard_Real c, 
          const Standard_Real r) 
    { 
        TopoDS_Solid Box = BRepPrimAPI_MakeBox(a,b,c); 
        BRepFilletAPI_MakeFillet MF(Box); 
     
        // add all the edges to fillet 
        TopExp_Explorer ex(Box,TopAbs_EDGE); 
        while (ex.More()) 
        { 
            MF.Add(r,TopoDS::Edge(ex.Current())); 
            ex.Next(); 
        }
     
        return MF.Shape(); 
    } 

    如下图所示为创建一个半径变化的倒圆操作:

    Figure 3Evolutive radius fillet

    Figure 4Evolutive radius fillet a box

    程序代码如下所示:

    TopoDS_Shape theBox = BRepPrimAPI_MakeBox(200, 200, 200);
    BRepFilletAPI_MakeFillet Rake(theBox);
    ChFi3d_FilletShape FSH = ChFi3d_Rational;
    Rake.SetFilletShape(FSH);
    
    TColgp_Array1OfPnt2d parAndRad(1, 6);
    parAndRad.SetValue(1, gp_Pnt2d(0, 10));
    parAndRad.SetValue(2, gp_Pnt2d(50, 20));
    parAndRad.SetValue(3, gp_Pnt2d(70, 20));
    parAndRad.SetValue(4, gp_Pnt2d(130, 60));
    parAndRad.SetValue(5, gp_Pnt2d(160, 30));
    parAndRad.SetValue(6, gp_Pnt2d(200, 20));
    
    TopExp_Explorer ex(theBox, TopAbs_EDGE);
    Rake.Add(parAndRad, TopoDS::Edge(ex.Current()));
    TopoDS_Shape evolvedBox = Rake.Shape();
    


    2. BRepFilletAPI_MakeFillet2d

    BRepFilletAPI_MakeFillet2d is used to construct fillets and chamfers on planar faces.

    我按照示例代码运行了一下程序,结果程序总是崩溃,其操作的效果不得而知,所以也得不到真实的效果图。将其程序代码列出如下所示:

    PS:我想应该是TopExp_Explorer的问题吧,顶点构成边时共享使用了多次,改用TopExp::MapShapes(srcFace,TopAbs_VERTEX,mapVertex);即可。

    #include “BRepPrimAPI_MakeBox.hxx” 
    #include “TopoDS_Shape.hxx” 
    #include “TopExp_Explorer.hxx” 
    #include “BRepFilletAPI_MakeFillet2d.hxx” 
    #include “TopoDS.hxx” 
    #include “TopoDS_Solid.hxx” 
     
    TopoDS_Shape FilletFace(const Standard_Real a, 
         const Standard_Real b, 
         const Standard_Real c, 
         const Standard_Real r) 
     { 
         TopoDS_Solid Box = BRepPrimAPI_MakeBox (a,b,c); 
         TopExp_Explorer ex1(Box,TopAbs_FACE); 
      
         const TopoDS_Face& F = TopoDS::Face(ex1.Current()); 
         BRepFilletAPI_MakeFillet2d MF(F); 
         TopExp_Explorer ex2(F, TopAbs_VERTEX); 
      
         while (ex2.More()) 
         { 
             MF.AddFillet(TopoDS::Vertex(ex2.Current()),r); 
             ex2.Next(); 
         } 
      
         // while... 
         return MF.Shape(); 
     }
     


    二、倒角Chamfer Constructor

    1BRepFilletAPI_MakeChamfer

    BREpFilletAPI_MakeChamfer的使用方法与BRepFilletAPI_MakeFillet大致类似,但稍有不同:

    a) The surfaces created are ruled and not smooth;

    b) The Add syntax for selecting edges requires one or two distancesone edge and one face(contiguous to the edge);

    Add(distEF);

    Add(d1d2EF); with d1 on the face F.

    Figure 5Creating a chamfer

    Figure 6The box with chamfers

    程序代码如下所示:

    TopoDS_Shape theBox = BRepPrimAPI_MakeBox(130,200,170); 
    BRepFilletAPI_MakeChamfer MC(theBox); 
    TopTools_IndexedDataMapOfShapeListOfShape M; 
    TopExp::MapShapesAndAncestors(theBox,TopAbs_EDGE,TopAbs_FACE,M); 
    
    for (Standar1d_Integer i;i<M.Extent();i++) 
    { 
       TopoDS_Edge E = TopoDS::Edge(M.FindKey(i)); 
       TopoDS_Face F = TopoDS::Face(M.FindFromIndex(i).First()); 
       MC.Add(15,15,E,F); 
    } 
    
    TopoDS_Shape ChanfrenedBox = MC.Shape();  


     


    展开全文
  • 例:修改第二课的L形支架模型,如图位置增加半径2.54mm的圆角 上端面固定,同时在下端面施加900N弯曲载荷 分别使用10mm、 3mm、 1mm和0.5mm网 格求解模型,对比应力结果。 材料: Structure Steel 文件的解压缩 在...

    本篇博客是根据阅读公众号“机械人读书笔记”而来的学习笔记~

    在第2课的基础上,将直角改为了圆角

    例:修改第二课的L形支架模型,如图位置增加半径2.54mm的圆角
    上端面固定,同时在下端面施加900N弯曲载荷
    分别使用10mm、 3mm、 1mm和0.5mm网
    格求解模型,对比应力结果。
    材料: Structure Steel

    文件的解压缩

    在改文件的时候,数据和软件要一起改名字。但有时很复杂的时候,也会出现错误。所以,打包(wbpt文件)之后再复制粘贴然后改名字会比较好。
    解压restore archive之后会提示有些数据,计算结果的文件的丢失,没关系,点击OK即可。

    将直角改为圆角

    在几何模型中Geometry,右键点击。有两个,我们选择DM(design modeler)。
    在左边菜单栏中Import1中更新一下,就可以出来我们导入的模型啦。

    修改图形特征主要用的是上面菜单栏的Create,里面有Fixed Radius Blend(固定圆角),选择它,然后设置半径和所要改变的边(注意单位~),然后再在Import那里点黄色闪电标记更新一下。

    然后就可以将直角改为圆角啦。

    分析处理

    改完之后退回到一开始的界面中,发现Geometry下面的参数都不确定了。再点击Model,会提示我们数据流发生改变了,问是否read the upstream data,选择Yes。然后等待一下,就会出现新的界面。

    重新Mesh,然后发现约束Fixed Support和Force都没有确定了,是因为几何模型改变了,所以我们需要点击面再Apply一下,但是相关参数,即数字并没有发生改变。所以,只用选择对应的面就可以啦。别忘了及时Apply~

    将全局10mm改为全局3mm的两种方法

    按上一篇博客所说的,复制全局10mm的然后改一下网格大小就可以了。
    第二种方法,因为我们有全部3mm的直角L型支架,所以我们将A处10mm的圆角L型支架的Geometry左键点击然后往右拉,让其与B处10mm的直角L型支架的Geometry连在一起就可以啦。
    这一步就叫做分享数据流(数据移传)。很适合模型复杂的应用。
    想去掉这个传递时,点击中间的连线,delete即可。

    在File那里选择第一个refresh,就可以刷新Model了。
    在Model界面中带?的条目是不可以存在的,否则无法solve。

    结果的分析

    关于网格0.5mm时,应力MAX在L型支架的最上方了。这是什么原因呢?
    如何去判断网格无关性呢?我们可以去划分网格0.5,1,2,3,4,5,10,去看应力最大值的关系,去看稳定值。

    或者用网格精度定性判定指标去判断:
    即放大圆角处,默认显示的红色应力区域存在部分连续位置完整覆盖两层单元,就认为当前精度是足够的;否则认为当前精度不够。
    在这里插入图片描述
    如图所示,1mm的红色区域只在水平方向超过两层,但竖直方向不够,所以1mm的精度不够;
    下面的0.5mm精度就足够。

    展开全文
  • 与复用一般的过程相比,L型代码结构有这么几个特点:1. 如果复用有难度,在复用之前,一般不刻意形成“可复用代码”。顺便就能写成函数的例外。2. 从第二次复用的时候,就形成复用代码。这个听起来很容易,但要求:...

    本文是“松结对编程”系列的第十六篇。(松结对编程栏目目录

    今天正好要复用一段框架(asp.net MVC3,服用范围包括Controller和View),把过程记录一下。

    与复用一般的过程相比,L型代码结构有这么几个特点:

    1. 如果复用有难度,在复用之前,一般不刻意形成“可复用代码”。顺便就能写成函数的例外。

    2. 从第二次复用的时候,就形成复用代码。

    这个听起来很容易,但要求:编写复用代码的人,就是调用复用代码的人,否则他不知道是否会复用,以及复用到第几次了。换言之,不要安排人刻意编写复用代码,否则很容易还没人用,或只用一次,就费劲写了一个可复用代码;又很容易大家一直在重复的东西,他却不知道。如果能一边编写上层应用知道使用的实际情况,一边编写底层可复用库,就能避免这种情况。

    业务需求

    现在需要编写一个对产品线下的产品进行“增删改查”操作的业务。想象中的界面如下(实际是完成后的截图):

    想到之前曾经编写过一个为部门下的团队进行“增删改查”操作的业务,界面大致如下:

    决定借用这个页面,顺带把代码也全部借用了(除了里边不显示人员列表外,几乎没有区别),而且这两个东西的基类还是相同的(这一点很重要),分别是

    Product : Item(父子关系项) : UDCable(可自定义字段的)

    Department: Item(父子关系项) : UDCable(可自定义字段的)

    注意下面代码中的Program(部门)和Team(团队,隶属于部门)基类都是Department。

    原来Teams的处理代码如下:

            public ActionResult Index(int? programID)
            {
                return MFCDefaultView(programID ?? _repMFC.ReadAllItems<Program>().First(i => i.Type == ItemWhattype.DepartmentTypeProgram).ID);
            }
    

    
            public ActionResult Create(int programID, string redirectToAfterCreated, string returnUrl = null)
            {
                return Redirect("/MFC/Items/Create?fatherID=" + programID
                                + "&what=" + SystemItemWhat.Deaprtment + "&type=" + ItemWhattype.DepartmentTypeTeam + "&returnUrl=" +
                                HttpUtility.UrlEncode(returnUrl));
            }
        ...
        }

    删除、左右移动、编辑的代码不在这个里边,是由ItemsController也就是他们的基类Item的一个公共Controller处理的。本来Index/Create/Edit/Details在那边都有公共的代码和界面,但是因为Team的页面比较特殊,比如每次创建后不是返回Index页面,而是前往成员分配页面,所以都在这边重新做了函数和页面,不过其中一些指向ItemsController中的函数,比如上面这个Create()。

    新业务需求很类似这个,所以与其重新写一个,不如重构到一起,日后再用这种东西,从代码到界面,就可以直接使用了。

    重构顺序

    这种因复用导致的重构有很多工作顺序,大致有两个:

    1. 先写那个ProductsController,然后比较与TeamsController的区别,然后提取共同部分复用,然后把Teams和Products两个都基于复用实现

    坏处是要写两边,而且写出来的ProductsController以及相应的几个View很快就要被扔了。

    这个适合初学者通过对比发现可复用代码的抽取,就是效率比较低,仅作学习使用。

    2. 直接写一个可复用底层,基于此底层写ProductsController,调通之后把TeamsController也按此底层实现。

    坏处是Products本身的Bug可能和复用底层的Bug纠缠在一起,调试麻烦。

    3. 先根据Teams写一个底层,然后先把Teams写成基于可复用代码的,调试通过了再直接基于底层写Products的。

    坏处是可能只看着Teams未必能写出可复用底层,需要服用的经验比较多。

    好处是调试过程比较简单,可以把TeamsController当作一个测试用例,来测试那个可复用底层。

    本人这次选择方法3(倒不是因为它最好,之前代码不多的时候选择过1,比较有信心的时候选择过2)。

    重构步骤

    步骤中只处理Index函数(Create函数见下一篇文章)。

    1. 先在ItemsController里边写个替代Teams/Index的Action

    这个新函数就叫做ItemHorizentalList吧(横向列表)

            public ActionResult ItemHorizentalList(int rootID, string what, string type, string returnUrl)
            {
                var root = _repMFC.ReadAt<Item>(rootID);
                IEnumerable<Item> subItems = root.SubItems().Where(i => i.What == what && i.Type == type);
                return MFCDefaultView(root, subItems, what, type, returnUrl);
            }
    

    rootID表明是哪个部门Program下面的团队Team,或哪个产品线ProductLine下的产品Product,whats和whattypes是确定显示什么类型的item的,一个item到底是部门Program/团队Team/产品线ProductLine/产品Product,就由他们说了算。

    后面这个 return MFCDefaultView请暂时无视,它的工作是同时向View中传输多个参数。以往asp.net的Controller.View()只能传一个参数,要传多个就要使用ViewBag,或者ViewModel(尽管“ViewModel”是一种设计模式,但是不但还要额外写个viewModel,还要经常到里边看看里边的代码,很破坏代码可读性)。这个MFCDefaultView可以传入可变参数列表,在PageData[]中顺序读取就可以了,也就是说调要一个view的过程很像调用一个函数。这个也是我们最近刚刚封装的,从此向iewBag和ViewModel说再见了。

    2. 在这个新Actoin的View里边实现原来Teams/Index的工作

    原来的View代码(views/teams/index.cshtml):

        this.InitializeLayout("团队");
    
        <h2>所有团队</h2>
        <hr/><br/>
        <div class = "item-hierarchy @MFCUI.HoverTwinkleTriggerBodyClass("create-new-team")" style = "float: left; min-height: 10px; min-width: 10px; margin-right: 16px; ">
            <div class = "item-hierarchy-body">
                @MFCUI.ImageLink("新建团队", "/Site/Teams/Create?departmentID=" + Model.ID + "&redirectToAfterCreated=" 
                                   + HttpUtility.UrlEncode("/Site/TeamMembers/Index?departmentID=" + Model.ID), 
                           imgUrl: "/Site/Teams/Create48.png", showText: false)
            </div>
        </div>
        @RenderPage("Index/_Teams.cshtml", Model.SubItems().Where(i => i is Team).Cast<Team>(), false)
    
    上面的<div>显示文章开头图中的那个新建按钮,下面的RenderPage显示所有右边的已有团队。

    里边到底有哪些需要参数化的呢?凡是带着Department, Team, /Site/Teams/...的,都要参数化。具体可以看下面的结果。


    新的View(Views/Items/ItemHorizentalList.cshtml):

        var root = PageData[0] as Item;
        var subItems = PageData[1] as IEnumerable<Item>;
    
        <div class = "item-hierarchy @MFCUI.HoverTwinkleTriggerBodyClass("create-new-team")" style = "float: left; margin-right: 16px; min-height: 10px; min-width: 10px;">
            <div class = "item-hierarchy-body">
                @MFCUI.ImageLink("新建", "/MFC/Items/Create?rootID=" + root.ID + "&redirectToAfterCreated=" + HttpUtility.UrlEncode(redirectAfterCreate),
                               imgUrl: "/MFC/Items/Create48.png", showText: false)
            </div>
        </div>
        @RenderPage("ItemHorizentalList/_SubItems.cshtml", subItems, false)

    前面一堆var把1里边提到的那个MFCDefaultView的参数拆包;中间Div和后面的RenderPage,根据参数修改。

    具体需要哪些参数,取决于怎样把原来针对Team的操作变成通用的Item的操作。

    3. 调整新的view所调用的partial view

    然后一点点调整,逐渐把_SubTeams.cshtml变成_SubItems.cshtml,_Team.cshtml变成_SubItem.cshtml。

    由于product和team都是从item派生的,所以当作item来操作就可以了。

    调一下就刷新一下页面,看看效果。逐渐地,界面正常了:


    4. 用这个框架实现Product的页面:

    C#代码就一行,在ProductsController.cs里边:

            public ActionResult Index(int? productLineID)
            {
                return MFCDefaultView(productLineID ?? _repMFC.ReadAllItems<ProductLine>().First(i => i.Type == ItemWhattype.ProductTypeProductLine).ID);
            }
    

    View只有一个,就是体现Team和Product中间显示不同的部分,下一篇再写。

    残留问题

    但最后会遇到几个最关键的问题:

    1. team要显示成员,product要显示别的(暂定为最近的发布Release)。

    Index实际上不知道这件事情,因为它只收到了Item,这个基类中并没有成员或发布Release的信息。

    2. 新建好team要转向成员分配(/TeamMembers/Index),新建好product要转向创建发布(/Products/ReleaseSchedule)。

    3. 哪些Action需要写View,然后在View里边RenderAction(比如这个Teams/Index);哪些不用写View,直接在Controller的Action里边RedirectToAction到ItemsController的操作?(这样简单,连View都不用谢,但有局限就是Url会跳转)?

    4. 这些编码方法与松结对编程有何关系?

    这两个问题的解决,下一篇再写。

    展开全文
  • 1/4波长天线的介绍 本节内容是网上拼凑而来,以后成大佬了,在来看看对不对。 一、四种常见的类型 偶极子天线 --> 单极子天线 --> 倒L型天线 --> 倒F型天线 ...倒L型天线上半部分与地平行,无形中
  • 船已开始颠簸,大家坐好

    千次阅读 2016-05-19 06:30:58
    个人可以理性,但群体则很难理性。...经济L型也好,倒L型也好,都表明我们这艘大船已经开始颠簸,目前这种体制和文化下,要纠正其实是非常困难的,已经习惯了增长的人们,不会选择利他的选项。现在的局面就
  • 车无完车 新桑塔纳1.6L自动豪华版

    千次阅读 2013-10-15 10:10:43
    我们今天测试是新桑塔纳1.6L自动豪华版,售价为12.38万元,能否延续上市之初的超高关注度,我们现在就带您来深入了解一番。 外观换装大众家族式设计 车身尺寸不占优势 前盘后鼓制动系统 在外观部分,虽然说新...
  • 经典电路(二)“滤波电路”

    千次阅读 2012-10-24 11:44:07
    无源滤波的主要形式有电容滤波、电感滤波和复式滤波(包括倒L型、LC滤波、LCπ型滤波和RCπ型滤波等)。有源滤波的主要形式是有源RC滤波,也被称作电子滤波器。 几种滤波电路:   (a)电容滤波电路(b)电感...
  • 开关电源LC滤波器设计

    万次阅读 2017-06-23 18:07:55
    LC滤波器:高通滤波器、低通滤波器和带通滤波器。在开关电源中使用的主要是低通滤波器,还有带通滤波器。常见基本低通滤波器的电路形式如下图所示: ...2. 倒L型滤波器的负载阻抗低,源阻抗高; 3. T型滤波
  • 有源滤波与无源滤波

    2018-04-10 09:45:53
    无源滤波的主要形式有电容滤波、电感滤波和复式滤波(包括倒L型、LC滤波、LC—π型滤波和RC—π型滤波等)。有源滤波电路:若滤波电路不仅由无源元件,还由有源元件(双极型管、单极型管、集成运放)组成,则称为有源...
  • 无源滤波的主要形式有电容滤波、电感滤波和复式滤波(包括倒L型、LC滤波、LC—π型滤波和RC—π型滤波等)。 有源滤波电路:若滤波电路不仅由无源元件,还由有源元件(双极型管、单极型管、集成运放)组成,则称为...
  • 长安欧力威1.4L 更酷更炫两厢车

    千次阅读 2013-09-06 13:43:00
    本次长安推出的欧力威搭载1.4L发动机,不光提升动力配置,甚至还改变了外观,新造型格栅、车顶行李架与黑色车身包围让它看上去更像一款时尚的两厢车了。下面我们就来试试它的实力。 外观更加时尚年轻 回纹式格栅...
  • 整流电路的输出电压不是纯粹的直流,从示波器观察整流电路的输出,与直流相差很大,波形中含有较大的脉动成分...无源滤波的主要形式有电容滤波、电感滤波和复式滤波(包括倒L型、LC滤波、LCπ型滤波和RCπ型滤波等)。有
  • 倒车辅助Park Assist

    千次阅读 2014-03-19 22:41:30
    将车辆模型简化,只考虑车轴中心点的方向,若车辆是前驱的,后车轮与车身平行,忽略两个前车轮的转弯角度差别,而前车轴中点的运动方向可以取 前车轮运动方向的平均值。 若前轮转角a不变,则后轮的轨迹线可以...
  • Dijkstra(迪杰斯特拉)算法 采用广度优先搜索思想,对有向赋权图寻找最短路径。 该算法对于不含负权的有向...起点以左下角的红点,目标是右上角的绿点,中间灰色的倒L型为障碍物。蓝色空圈表示”暂定”,用以搜索...
  • 字符串Z输出

    千次阅读 2018-03-06 11:08:45
    输入一个字符串和一个数字,将字符串填入Z形输入字符串,然后按照列读取字符,得到一个新的字符,输出这个字符。例如:字符串"PAYPALISHIRING",3P A H NAPLSIIGY I R 得到的新字符是”...
  • 电容 电感 滤波原理

    千次阅读 2009-12-16 20:38:00
    整流电路的输出电压不是纯粹的直流,从示波器观察整流电路的输出,与直流相差很大,波形中含有较大的脉动成分,...无源滤波的主要形式有电容滤波、电感滤波和复式滤波(包括倒L型、LC滤波、LCπ型滤波和RCπ型滤波等)
  • 倒车轨迹理论实现方法

    千次阅读 2013-11-16 23:53:35
    图中φ为为前轮同水平方向的夹角,记前后轮轴距为L,后轮轴长为W,后轮距离车尾的距离为D,从几何关系可知,后轮轴心的运动轨迹可以描述为以半径Lcot(φ)的圆周运动。两个后轮的轨迹分别为Lcot(φ)-W/2和Lcot(φ)+W/...
  • android开发 计时和计时的实现

    千次阅读 2016-08-28 12:52:17
    转自:http://blog.csdn.net/t12x3456/article/details/7816500在购物网站的促销活动中一般都有计时限制购物时间或者折扣的时间,这些都是如何实现的呢?在最近的一个安卓客户端项目中恰好遇到了类似的问题,一开始...
  • 桶排序、计数排序、基数排序是一种非比较整数排序算法,其原理是将整数按位数切割成不同的数字,然后按每个位数分别比较。由于整数也可以表达字符串(比如名字或日期)和特定格式的浮点数,所以基数排序也不是只能...
  • 人格之第四

    万次阅读 2012-12-08 12:48:05
    8、 留心“自我沉醉”只是掩饰那被人遗弃的恐惧感,不如留心这一刻什么对别人是最重要的。 9、 欣赏自己可以体谅别人伤痛的能力,但不要搅着别人的痛苦不放。 10建立“系统”“方法”令日常生活可以有所作为,...
  • * 项目:用Java实现使用for循环输出实心三角、空心三角形、正立的等腰三角、倒立的等腰三角、等边三角形 * 作者:郑翰林 * 时间:2019/9/7 */ import java.util.Scanner; public class Exercies7 { public ...
  • 数值优化:理解L-BFGS算法

    千次阅读 2018-07-27 14:49:43
    译自《Numerical Optimization: Understanding L-BFGS》,本来只想作为学习CRF的补充材料,读完后发现收获很多,把许多以前零散的知识点都串起来了。对我而言,的确比零散地看论文要轻松得多。原文并没有太多关注...
  • [转]大型Web2.0站点构建技术初探

    万次阅读 2007-11-18 02:36:00
     基于以上优势,Tag标签代替了传统的分类法,成为web2.0网站使用率最高的功能块(与其说是功能块不如说是一种内容导航和内容组织形式)。  一句话:Tag标签是一种更灵活的分类方法,功能在于引导,特点是...
  • 见证海马S7手动的高配置

    千次阅读 2013-09-03 14:29:17
    后排座椅可以按比例放,但放过程稍微有些麻烦,不但先要掀起第二排座椅,还要把头枕取下才能放平座 椅靠背。不过放之后后备箱的空间表现还是相当不错的。 车内储物空间方面,S7的表现中规中矩,一些常见的...
  • 今天我们选择了2013款捷达1.6L自动豪华,下面我们就来试试它的表现力。 EA211系列1.6L自然吸气发动机 6挡自动变速箱 高速巡航 电动助力转向系统 动力方面,和新桑塔纳相同,捷达也采用了大众新开发的EA21
  • 提起“墨仓式”打印机,相信现在已经没有人需要过多的解释,墨仓式...▲爱普生墨仓式L4158 A4全新彩色商用多功能一体机作为创新驱动的企业,爱普生从2001年推出墨仓式产品至今,取得了令人瞩目的成绩,根据IDC数据...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 22,187
精华内容 8,874
关键字:

倒l型